net.sf.okapi.core.simplifierrules

## Interface SimplifierRulesConstants

- All Known Implementing Classes:
    SimplifierRules, SimplifierRulesTokenManager

      public interface SimplifierRulesConstants

  Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADDABLE` RegularExpression Id.
    `static int` | `AND` RegularExpression Id.
    `static int` | `CLONEABLE` RegularExpression Id.
    `static int` | `CLOSING` RegularExpression Id.
    `static int` | `DATA` RegularExpression Id.
    `static int` | `DEFAULT` Lexical state.
    `static int` | `DELETABLE` RegularExpression Id.
    `static int` | `EOF` End of File.
    `static int` | `EQUAL` RegularExpression Id.
    `static int` | `LPAREN` RegularExpression Id.
    `static int` | `MATCH` RegularExpression Id.
    `static int` | `NOT_EQUAL` RegularExpression Id.
    `static int` | `NOT_MATCH` RegularExpression Id.
    `static int` | `OPENING` RegularExpression Id.
    `static int` | `OR` RegularExpression Id.
    `static int` | `ORIGINAL_ID` RegularExpression Id.
    `static int` | `OUTER_DATA` RegularExpression Id.
    `static int` | `QUOTE_DOUBLE` RegularExpression Id.
    `static int` | `RPAREN` RegularExpression Id.
    `static int` | `RULE_END` RegularExpression Id.
    `static int` | `RULE_START` RegularExpression Id.
    `static int` | `STANDALONE` RegularExpression Id.
    `static int` | `STRING_DOUBLE_BODY` RegularExpression Id.
    `static int` | `STRING_DOUBLE_EMPTY` RegularExpression Id.
    `static int` | `STRING_DOUBLE_NONEMPTY` RegularExpression Id.
    `static int` | `TAG_TYPE` RegularExpression Id.
    `static java.lang.String[]` | `tokenImage` Literal token values.
    `static int` | `TYPE` RegularExpression Id.

- - ### Field Detail

    - #### EOF

          static final int EOF

      End of File.
      See Also:
        Constant Field Values

    - #### RULE_START

          static final int RULE_START

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RULE_END

          static final int RULE_END

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DATA

          static final int DATA

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OUTER_DATA

          static final int OUTER_DATA

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ORIGINAL_ID

          static final int ORIGINAL_ID

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TYPE

          static final int TYPE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TAG_TYPE

          static final int TAG_TYPE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CLOSING

          static final int CLOSING

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OPENING

          static final int OPENING

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STANDALONE

          static final int STANDALONE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ADDABLE

          static final int ADDABLE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DELETABLE

          static final int DELETABLE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CLONEABLE

          static final int CLONEABLE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OR

          static final int OR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### AND

          static final int AND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LPAREN

          static final int LPAREN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RPAREN

          static final int RPAREN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EQUAL

          static final int EQUAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MATCH

          static final int MATCH

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NOT_EQUAL

          static final int NOT_EQUAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NOT_MATCH

          static final int NOT_MATCH

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### QUOTE_DOUBLE

          static final int QUOTE_DOUBLE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_DOUBLE_EMPTY

          static final int STRING_DOUBLE_EMPTY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_DOUBLE_BODY

          static final int STRING_DOUBLE_BODY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_DOUBLE_NONEMPTY

          static final int STRING_DOUBLE_NONEMPTY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      Lexical state.
      See Also:
        Constant Field Values

    - #### tokenImage

          static final java.lang.String[] tokenImage

      Literal token values.